summaryrefslogtreecommitdiffstats
path: root/deps/cfitsio
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-06-13 14:50:49 +0200
committer Eric Hameleers <alien@slackware.com>2018-06-13 14:50:49 +0200
commitc779e019ac53019baa07eb843aba59bc55ffec20 (patch)
treef4dd959f71cea6ac6a8741a1a8f9933a389f5bc7 /deps/cfitsio
parente0d005c66dbed44be15070995d9d9e9200c989fa (diff)
downloadktown-c779e019ac53019baa07eb843aba59bc55ffec20.tar.gz
ktown-c779e019ac53019baa07eb843aba59bc55ffec20.tar.xz
Updated 'testing' in preparation for June '18 release of Plasma 5.13
Diffstat (limited to 'deps/cfitsio')
-rw-r--r--deps/cfitsio/.url2
-rwxr-xr-xdeps/cfitsio/cfitsio.SlackBuild16
2 files changed, 12 insertions, 6 deletions
diff --git a/deps/cfitsio/.url b/deps/cfitsio/.url
new file mode 100644
index 0000000..6a97bc1
--- /dev/null
+++ b/deps/cfitsio/.url
@@ -0,0 +1,2 @@
+http://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio3420.tar.gz
+
diff --git a/deps/cfitsio/cfitsio.SlackBuild b/deps/cfitsio/cfitsio.SlackBuild
index 70377f2..6170ccf 100755
--- a/deps/cfitsio/cfitsio.SlackBuild
+++ b/deps/cfitsio/cfitsio.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2017 Eric Hameleers, Eindhoven, NL
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -22,13 +22,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=cfitsio
-VERSION=${VERSION:-3.370}
+VERSION=${VERSION:-3.420}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
@@ -40,8 +40,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
@@ -92,9 +92,13 @@ LDFLAGS="$SLKLDFLAGS" \
--build=$TARGET
# Build and install:
-make || exit 1
+make shared || exit 1
+make utils || exit 1
make install DESTDIR=$PKG || exit 1
+# Remove the static library:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libcfitsio.a
+
# Strip binaries (if any):
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true